interface ChatItem {
    id: string;
    protocol: string;
    externalId: string;
    createdAt: string;
    etag: string;
    app: {
        id: string;
        name: string;
    };
    user: {
        id: string;
        name: string;
    };
}
type __VLS_Props = {
    chatItem?: ChatItem;
    userId: string;
};
declare const __VLS_export: import("vue").DefineComponent<__VLS_Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    close: (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<__VLS_Props> & Readonly<{
    onClose?: (...args: any[]) => any;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: typeof __VLS_export;
export default _default;
